Subject: pine on dg/ux

From: "Fabian I. Ramirez" <[email-masked]>
Date: Tue, 12 Aug 1997 18:58:31 -0500

Hello, I'm trying to compile pine for dg/ux and I've had problems with
the mail.h file.... it shows an error on line 519 and 520 like this:

     cc -g -DNFSKLUDGE  -c mail.c
In file included from mail.c:39:
mail.h:519: syntax error before `char'
mail.h:520: syntax error before `char'
In file included from mail.c:43:
rfc822.h:88: parse error before `const'
rfc822.h:104: parse error before `const'
mail.c:1080: syntax error before `char'
mail.c:1082: syntax error before `char'

The mail.h file in those lines looks like:

  517  /* Other symbols */
   518
   519   extern const char *days[];     /* day name strings */
   520   extern const char *months[];   /* month name strings */
   521
   522
   523  /* Jacket into external interfaces */
   524
   525  typedef long (*readfn_t) (void *stream,unsigned long size,char
*buffer);
   526  typedef char *(*mailgets_t) (readfn_t f,void *stream,unsigned
long size)
;

Do someone knows what's happening??? I was looking in the ancient files
but I didn't find an answer....

Thanks in advance....

Do  someone knows where can I find pine binaries for dg/ux 5.4.3.1???

Fabian Ramirez